GET /v1/mcp/{serverId}/oauth-url
Generate an OAuth authorization URL for the given MCP server
GET
/v1/mcp/{serverId}/oauth-url
Generate an OAuth authorization URL for the given MCP server
Path Parameters
serverId
string
required
path
MCP server ID
Query Parameters
name
string
optional
query
Optional connector display name
Responses
200
OK
application/jsoncode
integer
data
object
message
string
requestId
string
400
Bad Request
curl -X GET 'https://api.example.com/v1/mcp/string/oauth-url' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/mcp/string/oauth-url', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/mcp/string/oauth-url', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/mcp/string/oauth-url", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": "<object>", "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/mcp/{serverId}/oauth-url
